unit Unit1;

{$mode objfpc}{$H+}

interface

uses
  Classes, SysUtils, Forms, Controls, Graphics, Dialogs, ExtCtrls, StdCtrls, LCLIntf, LCLType;

type

  { TForm1 }

  TForm1 = class(TForm)
    Button1: TButton;
    chbImgStretch: TCheckBox;
    chbImgProp: TCheckBox;
    Image1: TImage;
    procedure Button1Click(Sender: TObject);
    procedure chbImgPropClick(Sender: TObject);
    procedure chbImgStretchClick(Sender: TObject);
    procedure FormCreate(Sender: TObject);
  private

  public

  end;

var
  Form1: TForm1;

implementation

{$R *.lfm}

{ TForm1 }

procedure TForm1.Button1Click(Sender: TObject);
var
  MyBitmap: TBitmap;
  ScreenDC: HDC;
begin
  MyBitmap:= TBitmap.Create;
  try
    ScreenDC:= GetDC(0);
    try
      MyBitmap.LoadFromDevice(ScreenDC);
    finally
      ReleaseDC(0,ScreenDC);
    end;

    Image1.Picture.Assign(MyBitmap);
  finally
    FreeAndNil(MyBitmap);
  end;
end;

procedure TForm1.chbImgPropClick(Sender: TObject);
begin
  Image1.Proportional:= chbImgProp.Checked;
end;

procedure TForm1.chbImgStretchClick(Sender: TObject);
begin
  Image1.Stretch:= chbImgStretch.Checked;
end;

procedure TForm1.FormCreate(Sender: TObject);
begin
  chbImgProp.Checked:= True;
  chbImgStretch.Checked:= True;

  chbImgPropClick(Sender);
  chbImgStretchClick(Sender);
end;

end.

